|
Расположение в меню |
---|
Черчение -> Эллипс |
Верстаки |
Draft, Arch |
Быстрые клавиши |
E L |
Представлено в версии |
- |
См. также |
Окружность |
Описание
Инструмент Ellipse создает эллипс в текущей work plane, введя две точки, определяя угол прямоугольного прямоугольника, в котором будет располагаться эллипс. Он берет linewidth and color, предварительно установленный на вкладке «Задачи».
A Draft Ellipse can be turned into an elliptical arc by setting its ДанныеFirst Angle and ДанныеLast Angle properties to different values.
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
Использование
- Нажмите кнопку
Draft Ellipse или нажмите клавиши C, затем I
- Щелкните первую точку на трехмерном изображении или введите coordinate
- Нажмите вторую точку на трехмерном представлении или введите coordinate.
Опции
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 1.0).
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system.
- Press F or click the Filled1.0 and below or Make faceintroduced in 1.1 checkbox to toggle make face mode. If make face mode is on, the created ellipse will have ДанныеMake Face set to
true
and have a filled face. - Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating ellipses.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- A Draft Ellipse can be edited with the Draft Edit command.
Preferences
See also: Preferences Editor and Draft Preferences.
- If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.
Свойства
See also: Property editor.
A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- ДанныеArea (
Area
): (read-only) specifies the area of the face of the ellipse. The value will be0.0
if ДанныеMake Face iffalse
or the face cannot be created. - ДанныеFirst Angle (
Angle
): specifies the angle of the first point of the ellipse, normally0°
. - ДанныеLast Angle (
Angle
): specifies the angle of the last point of the ellipse, normally0°
. - ДанныеMajor Radius (
Length
): specifies the major radius of the ellipse. - ДанныеMake Face (
Bool
): specifies if the ellipse makes a face or not. If it istrue
a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse. - ДанныеMinor Radius (
Length
): specifies the minor radius of the ellipse.
View
Draft
- ВидPattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if ДанныеMake Face istrue
and if ВидDisplay Mode isFlat Lines
. - ВидPattern Size (
Float
): specifies the size of the Draft Pattern.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Ellipse use the make_ellipse
method (introduced in 0.19) of the Draft module. This method replaces the deprecated makeEllipse
method.
ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
- Creates an
ellipse
object with given major (majradius
) and minor (minradius
) radius in millimeters.- The bigger value will be used for the major radius (X axis) if no other placement is given.
- If
placement
isNone
the ellipse is created at the origin. - If
face
isTrue
, the ellipse will make a face, that is, it will appear filled.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)
zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))
ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)
doc.recompute()
Эта страница получена от https://wiki.freecad.org/Draft_Ellipse